DirectoryIterator::valid
FilterIterator::current
SPL
PHP Manual

# The FilterIterator class

## Introduction

...

## Class synopsis

FilterIterator
abstract class FilterIterator extends IteratorIterator implements OuterIterator , Traversable , Iterator {
/* Methods */
mixed current ( void )
Iterator getInnerIterator ( void )
mixed key ( void )
void next ( void )
void rewind ( void )
bool valid ( void )
}

## Table of Contents

- FilterIterator::current — Get the current element value
- FilterIterator::getInnerIterator — Get the inner iterator
- FilterIterator::key — Get the current key
- FilterIterator::next — Move the iterator forward
- FilterIterator::rewind — Rewind the iterator
- FilterIterator::valid — Check whether the current element is valid

DirectoryIterator::valid
FilterIterator::current
SPL
PHP Manual